Skip to main content
GET
Get your partner configuration: country, currency, status and limits

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

shortName
string
required

Your partner short name

Response

200 - application/json
name
string
required
Example:

"Acme Bank"

shortName
string
required
Example:

"acme-bank"

kycPolicy
string
required
Example:

"PARTNER"

identityPolicy
string
required

SHARED: send your customers' names, email and phone. REFERENCED: send only externalUserId, no personal data

Example:

"SHARED"

status
string
required
Example:

"ACTIVE"

bankTransferEnabled
boolean
required

Your customers can invest by bank transfer

Example:

true

mpesaEnabled
boolean
required

Your customers can invest by M-Pesa

Example:

false

limits
object
required
environment
string
required
Example:

"staging"

logoUrl
string | null
Example:

"https://cdn.ndovu.co/corporate/acme-bank.png"

country
string | null
Example:

"KE"

currency
string | null
Example:

"KES"

referenceCode
string | null

The prefix of your customers' payment references, e.g. DTB7F3K9Q. Investing needs it set

Example:

"DTB"